<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
   // Jalankan: php artisan make:migration add_courier_to_users_table
public function up()
{
    Schema::table('users', function (Blueprint $table) {
        // Jika kolom role adalah string, kita pastikan logic di app mendukung 'courier'
        // Jika enum, kita ganti:
        $table->string('role')->default('member')->change(); 
    });
}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            //
        });
    }
};
